Financial actions

Returns all the processed financial actions associated with your given filter. The results are ordered by processing date in descending order (latest first).

Financial actions Operations

Get financial actions

Returns the list of financial actions and their details.

Query Parameters
  • payment_id
    Type: string

    The ID of the payment you want to retrieve financial actions for. Required if action_id is not used.

  • action_id
    Type: string

    The ID of the action you want to retrieve financial actions for. Required if payment_id is not used.

  • limit
    Type: integer Format: int32
    min:  
    1
    max:  
    100

    The number of results to retrieve per page.
    For example, if the total result count is 50, and you use limit=10, you will need to iterate over 5 pages containing 10 results each to retrieve all of the reports that match your query.

  • pagination_token
    Type: string

    A token used for pagination when a response contains results across multiple pages.

Responses
  • application/json
  • 401

    Unauthorized. Likely cause is that access token is not valid or was not specified.

Request Example for get/financial-actions
curl 'https://{prefix}.api.sandbox.checkout.com/financial-actions' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "count": 1,
  "limit": 5,
  "data": [
    {
      "payment_id": "pay_qqufsd3rfnqufngwklghlxrzpm",
      "action_id": "act_wsnyzbzmr2huxcekoj7qqhxwuy",
      "action_type": "Capture",
      "entity_id": "ent_xozz5q2yvxsetbslrvjxugbsyy",
      "sub_entity_id": "ent_6akzb5simnkejihbnw6udjpecq",
      "currency_account_id": "ca_oo5z564in66ujcsxlbhjsar3p4",
      "payment_method": "MASTERCARD",
      "processing_channel_id": "pc_y7hikmc5flhuvav47blunjsdui",
      "mid": "mid-12345",
      "response_code": "10000",
      "response_description": "Approved",
      "region": "International",
      "card_type": "CREDIT",
      "card_category": "CONSUMER",
      "issuer_country": "US",
      "merchant_category_code": "5311",
      "fx_trade_id": "trd_intsaxljgi6uzkxnv6lex3xayu",
      "acquirer_reference_number": "01234567890123456789012",
      "account_funding_transaction": true,
      "scheme_fx_adjustment_eligible": true,
      "processed_on": "2022-02-18T13:00:12.357Z",
      "requested_on": "2022-02-18T13:00:11.724Z",
      "breakdown": [
        {
          "breakdown_type": "Scheme Fixed Fee",
          "fx_rate_applied": 1.24,
          "holding_currency": "USD",
          "holding_currency_amount": 0.19526938,
          "processing_currency": "GBP",
          "processing_currency_amount": 0.1581682,
          "transaction_currency": "EUR",
          "transaction_currency_amount": 0.18031175,
          "processing_to_transaction_currency_fx_rate": 1.14,
          "transaction_to_holding_currency_fx_rate": 1.08,
          "fee_detail": "Visa Fixed Acquirer Network Fee",
          "reserve_rate": "5%",
          "reserve_release_date": "2023-06-21T09:15:34.782Z",
          "reserve_deducted_date": "2022-02-18T13:00:12.357Z",
          "tax_fx_rate": 1.45,
          "scheme_fx_adjustment_processing_currency": "GBP",
          "scheme_fx_adjustment_rate_applied": 1.45,
          "entity_country_tax_currency": "AUD",
          "tax_currency_amount": 1.1
        }
      ],
      "bin": "444444",
      "issuing_bank": "Bank Name",
      "payment_type": "Regular"
    }
  ],
  "_links": {
    "self": {
      "href": "https://{prefix}.api.checkout.com/financial-actions?payment_id=pay_qqufsd3rfnqufngwklghlxrzpm&limit=5"
    },
    "next": {
      "href": "https://{prefix}.api.checkout.com/financial-actions?payment_id=pay_qqufsd3rfnqufngwklghlxrzpm&limit=5&pagination_token=string"
    }
  }
}